import Alert from "./Alert";
import Message from "./Message";
import Button from "./Button";
import ListGroup from "./components/ListGroup";
import { useState } from "react";

function App() {
    const [alertVisible, setAlertVisibility] = useState(false);

    let items = ["Orange", "Apple", "Watermelon", "Banana", "Durian"];

    const handleSelectItem = (item: string) => {
        console.log("Clicked index", item);
    };

    return (
        <>
            <div>
                <Message />
            </div>
            <div>
                {alertVisible && (
                    <Alert onClose={() => setAlertVisibility(false)}>
                        <b>HTML</b> Pass in from <span>App</span>
                    </Alert>
                )}
            </div>
            <div>
                <ListGroup
                    items={items}
                    heading="Hoelee"
                    onSelectItem={handleSelectItem}
                />
            </div>
            <div>
                <Button
                    onClick={() => {
                        console.log("Clicked");
                        setAlertVisibility(true);
                    }}
                    color="danger"
                >
                    My Button
                </Button>
            </div>
        </>
    );
}

export default App;
